Name:           kpatch
Version:        0.9.10
Release:        1%{?dist}
Summary:        Dynamic kernel patching for Linux

License:        GPLv2
URL:            https://github.com/dynup/kpatch
Source0:        %{name}-%{version}.tar.gz

# Build dependencies
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  elfutils-devel
BuildRequires:  elfutils-libelf-devel
BuildRequires:  kernel-devel
BuildRequires:  kernel-headers
BuildRequires:  bison
BuildRequires:  flex

# Runtime dependency (needed to build and load livepatch modules)
Requires:       kernel-devel

%description
kpatch is a dynamic kernel patching utility. It allows you to patch a running
kernel without rebooting or restarting processes. This package installs only
the CLI tools and scripts. No systemd or init service files are installed.

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
# Standard install
mkdir -p %{buildroot}/usr/sbin
mkdir -p %{buildroot}/usr/bin
make install DESTDIR=%{buildroot} PREFIX=/usr MANDIR=%{buildroot}/usr/share/man

# The kpatch Makefile may install extra service files. Remove them if present:
rm -f %{buildroot}/etc/init/kpatch.conf
rm -f %{buildroot}/usr/lib/systemd/system/kpatch.service

%files
# License and docs
%license COPYING
%doc README.md

# Main binaries (kpatch, kpatch-build)
# (Adjust or remove if your actual build places them differently.)
/usr/sbin/kpatch
/usr/bin/kpatch-build

# Additional helper binaries/scripts
/usr/libexec/kpatch/*

# Patch-related resources
/usr/share/kpatch/patch/*

# Man pages
/usr/share/man/kpatch.1.gz
/usr/share/man/kpatch-build.1.gz

%changelog
* Thu Feb 16 2023 Your Name <[email protected]> - 0.9.10-1
- Initial packaging for kpatch 0.9.10 without systemd or init scripts
